Package org.italiangrid.voms.request.impl

# Class GoodACDecodingStrategy

java.lang.Object
org.italiangrid.voms.request.impl.GoodACDecodingStrategy

All Implemented Interfaces:
  `ACDecodingStrategy`

public class GoodACDecodingStrategy extends Object implements ACDecodingStrategy

## Constructor Summary

Constructors
Constructor
Description
`GoodACDecodingStrategy()`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`decode(String ac)`
Decodes an encoded VOMS attribute certificate

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GoodACDecodingStrategy

public GoodACDecodingStrategy()

## Method Details

### decode

public byte[] decode(String ac)
Description copied from interface: `ACDecodingStrategy`
Decodes an encoded VOMS attribute certificate

Specified by:
  `decode` in interface `ACDecodingStrategy`
Parameters:
  `ac` - the encoded VOMS attribute certificate
Returns:
  a byte array containing the VOMS attribute certificate